#pa {
    margin-bottom: 64px;
    width: 100%;
    display: flex;
    justify-content: center;
}

    #pa__inner {
        width: var(--inner-width);
        display: flex;
        gap: 48px;
    }

        #pa__sidebar {
            width: 272px;;
            display: flex;
            flex-direction: column;
            gap: 24px;
        }

            #pa__sidebar-close {
                width: 32px;
                height: 32px;
                cursor: pointer;
                display: none;
            }

                #pa__sidebar-close > img {
                    width: 100%;
                    height: 100%;
                    object-fit: contain;
                    object-position: center;
                }

            .pa__sidebar-block {
                padding-bottom: 16px;
                width: 100%;
                display: flex;
                flex-direction: column;
                gap: 16px;
                border-bottom: 1px solid var(--border-1);
            }

                .pa__sidebar-block-heading {
                    width: 100%;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                }

                    .pa__sidebar-block-title {
                        font-size: 18px;
                        font-weight: 500;
                    }

                    .pa__sidebar-block-toggle {
                        width: 32px;
                        height: 32px;
                        cursor: pointer;
                    }

                    .pa__sidebar-block-toggle.active > img {
                        transform: rotate(180deg);
                    }

                        .pa__sidebar-block-toggle > img {
                            width: 100%;
                            height: 100%;
                            object-fit: contain;
                            object-position: center;
                        }

                .pa__sidebar-block-content {
                    width: 100%;
                    display: flex;
                    flex-direction: column;
                    gap: 8px;
                }

                .pa__sidebar-block-content.hidden {
                    display: none;
                }

                    .pa__sidebar-category {
                        font-size: 14px;
                        font-weight: 400;
                    }

                    span.pa__sidebar-category {
                        font-weight: 500;
                    }

                    .pa__sidebar-category:not(:first-child) {
                        margin-left: 16px;
                    }

                        .pa__sidebar-category-count {
                            color: var(--font-2);
                        }

                    .pa__sidebar-material,
                    .pa__sidebar-size {
                        position: relative;
                        width: 100%;
                        display: flex;
                        align-items: center;
                        gap: 8px;
                        font-size: 14px;
                        font-weight: 400;
                    }

                        .pa__sidebar-material > input,
                        .pa__sidebar-size > input {
                            position: absolute;
                            top: 0;
                            left: 0;
                            width: 100%;
                            height: 100%;
                            opacity: 0;
                            cursor: pointer;
                        }

                        .pa__sidebar-material > div,
                        .pa__sidebar-size > div {
                            width: 24px;
                            height: 24px;
                            background-image: url(../icons/checkbox.svg);
                            background-repeat: no-repeat;
                            background-position: center;
                            background-size: contain;
                        }

                        .pa__sidebar-material > input:checked ~ div,
                        .pa__sidebar-size > input:checked ~ div {
                            background-image: url(../icons/checkbox-checked.svg);
                        }

        #pa__main {
            width: calc(100% - 272px - 48px);
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 24px;
        }

            #pa__heading {
                width: 100%;
                display: flex;
                flex-direction: column;
                gap: 24px;
            }

                #pa__title {
                    font-size: 30px;
                    font-weight: 500;
                }

                #pa__heading-row {
                    width: 100%;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    flex-wrap: wrap;
                    gap: 16px;
                }

                    #pa__total {
                        font-size: 14px;
                        font-weight: 400;
                    }

                        #pa__total-count {
                            font-weight: 500;
                        }

                    #pa__filter {
                        width: 45%;
                        height: 48px;
                        display: none;
                        justify-content: center;
                        align-items: center;
                        background-color: var(--bg-1);
                        border: 1px solid var(--border-1);
                        font-size: 16px;
                        font-weight: 500;
                    }

                    #pa__sort {
                        padding: 0 16px;
                        height: 48px;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        background-color: var(--bg-1);
                        border: 1px solid var(--border-1);
                        font-size: 16px;
                        font-weight: 500;
                    }

            #pa__products {
                width: 100%;
                display: grid;
                grid-template-columns: repeat(auto-fill, 243px);
                justify-content: space-between;
                gap: 24px;
            }

            #pa__load-more {
                padding: 0 32px;
                width: fit-content;
                height: 48px;
                border: 1px solid var(--font-1);
                border-radius: 2px;
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 15px;
                font-weight: 600;
                color: var(--font-1);
                cursor: pointer;
                text-transform: uppercase;
            }

            #pa__load-more.hidden {
                display: none;
            }

@media screen and (max-width: 1023px) {
    #pa__sidebar {
        position: fixed;
        top: 0;
        right: 0;
        z-index: 99;
        transform: translateX(100%);
        padding: 24px;
        width: 320px;
        height: 100%;
        overflow-y: auto;
        background: var(--bg-1);
    }

    #pa__sidebar.active {
        transform: translateX(0);
    }

    #pa__sidebar-close {
        display: block;
    }

    #pa__main {
        width: 100%;
    }

    #pa__products {
        grid-template-columns: repeat(auto-fill, calc(50% - 12px));
        justify-content: center;
    }

    #pa__total {
        width: 100%;
    }

    #pa__filter {
        display: flex;
    }

    #pa__sort {
        padding: 0;
        width: 45%;
    }
}